OGRE: Ogre::v1::BillboardParticleRendererFactory Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::v1::BillboardParticleRendererFactory Class Referenceabstract
Core » Effects

Factory class for BillboardParticleRenderer. More...

`#include <OgreBillboardParticleRenderer.h>`

Inheritance diagram for Ogre::v1::BillboardParticleRendererFactory:
[legend]

## Public Member Functions
| BillboardParticleRendererFactory ()
| ~BillboardParticleRendererFactory ()
ParticleSystemRenderer * | createInstance (const String &name)
| Creates a new object. More...
void | destroyInstance (ParticleSystemRenderer *ptr)
| Destroys an object which was created by this factory. More...
const String & | getType () const
| Returns the factory type. More...
virtual const String & | getType () const=0
| Returns the factory type. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Public Attributes
SceneManager * | mCurrentSceneManager
| Needs to be set directly before calling createInstance. More...

## Detailed Description

Factory class for BillboardParticleRenderer.

## Constructor & Destructor Documentation

## ◆ BillboardParticleRendererFactory()

Ogre::v1::BillboardParticleRendererFactory::BillboardParticleRendererFactory | ( |  | ) |

## ◆ ~BillboardParticleRendererFactory()

Ogre::v1::BillboardParticleRendererFactory::~BillboardParticleRendererFactory | ( |  | ) |

## Member Function Documentation

## ◆ createInstance()

ParticleSystemRenderer* Ogre::v1::BillboardParticleRendererFactory::createInstance | ( | const String & | name | ) |
| virtual

Creates a new object.

Parameters

  name | Name of the object to create

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::FactoryObj< ParticleSystemRenderer >.

## ◆ destroyInstance()

void Ogre::v1::BillboardParticleRendererFactory::destroyInstance | ( | ParticleSystemRenderer * | ptr | ) |
| virtual

Destroys an object which was created by this factory.

Parameters

  ptr | Pointer to the object to destroy

Implements Ogre::FactoryObj< ParticleSystemRenderer >.

## ◆ getType() [1/2]

const String& Ogre::v1::BillboardParticleRendererFactory::getType | ( |  | ) | const

Returns the factory type.

Returns
  The factory type.

## ◆ getType() [2/2]

virtual const String& Ogre::FactoryObj< ParticleSystemRenderer >::getType | ( | void |  | ) | const
| pure virtualinherited

Returns the factory type.

Returns
  The factory type.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## Member Data Documentation

## ◆ mCurrentSceneManager

SceneManager* Ogre::ParticleSystemRendererFactory::mCurrentSceneManager
| inherited

Needs to be set directly before calling createInstance.

The documentation for this class was generated from the following file:

- OgreBillboardParticleRenderer.h